# Feature Switch Watcher

The `feature-switch-watcher` component deploys a service that will watch for changes
in *feature-switch* CRDs (see `feature-switch` helm chart) and notify the helm deployment
API (see `cluster-api` helm chart).

The deployment is a simple container that issues `list` and `watch` operations on the
CRD and posts an `UPDATE` command to `cluster-api` whenever an update is detected.

This helm chart is typically not installed stand-alone but instead as helm dependency.
The only configuration that needs to be provided is which *verticals* should receive
a notification (in the `cluster-api`). The chart currently receives the verticals to
monitor via *values* - for example:

**values.yaml:**
```
feature-switch-watcher:
notifiers:
  test:
    notifyVertical: 'myVertical'
    featureSwitch:
      regexp: "MyVertical-Feature-Name"
```
